package com.ruoyi.common.entity;

/**
 * WrapClass
 * 包装类 用于包装一个属性
 *
 * @author zm
 * @date 2025/3/21
 */
public class WrapClass<T> {

    private T attr;

    public WrapClass() {
    }

    public WrapClass(T attr) {
        this.attr = attr;
    }

    public T get() {
        return attr;
    }

    public void set(T t) {
        this.attr = t;
    }

    public T getAttr() {
        return attr;
    }

    public void setAttr(T attr) {
        this.attr = attr;
    }
}
